<template>
  <div class="banner" :style="`background-image: url(${srcImg})`">
    <h1 class="overlay-text">{{ title }}</h1>
    <h3 class="overlay-text">{{ description }}</h3>
  </div>
</template>

<script>
export default {
  props: {
    srcImg: {
      required: true,
      type: String
    },
    title: {
      required: true,
      type: String
    },
    description: {
      required: true,
      type: String
    }
  },
}
</script>

<style>
.banner {
  display: flex;
  flex-flow: column nowrap;
  
  justify-content: space-evenly;
  align-items: center;

  width: 100%;
  height: 70vh;

  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.overlay-text {
  color: #483a8b;
  text-shadow: -1px 0px black, 0px -1px black, 0px 1px black, 1px 0px black;
}
</style>
